installation package could not be open

Aug 14, 2012 at 2:48 PM

anyone else encountering the issue where 1.5beta msi could not be installed?